package ru.myitschool.work.ui.screen.meetings

import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.runtime.collectAsState
import androidx.compose.runtime.getValue
import androidx.compose.ui.Modifier
import androidx.lifecycle.viewmodel.compose.viewModel
import ru.myitschool.work.ui.screen.book.BookAction
import ru.myitschool.work.ui.screen.book.BookViewModel
import ru.myitschool.work.ui.screen.main.MainResult

@Composable
fun MeetingsScreen(
    viewModel: MeetingsViewModel = viewModel()
) {
    val state by viewModel.uiState.collectAsState()

    Column(
        Modifier
            .fillMaxSize()
    ) {

        when (val currentState = state) {
            is MeetingsState.Data -> MeetingsData(currentState)
            is MeetingsState.Empty -> MeetingsEmpty(currentState)
            is MeetingsState.Error -> TODO()
            is MeetingsState.Loading -> TODO()
        }
    }
}

@Composable
fun MeetingsData(
    state: MeetingsState.Data
) {

}

@Composable
fun MeetingsEmpty(
    state: MeetingsState.Empty
) {

}

@Composable
fun MeetingsError(
    state: MeetingsState.Error
) {

}

@Composable
fun MeetingsLoading(
    state: MeetingsState.Loading
) {

}